summaryrefslogtreecommitdiff
path: root/.github/workflows/archlinux.sh
diff options
context:
space:
mode:
Diffstat (limited to '.github/workflows/archlinux.sh')
-rwxr-xr-x.github/workflows/archlinux.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/.github/workflows/archlinux.sh b/.github/workflows/archlinux.sh
new file mode 100755
index 0000000..2a34b46
--- /dev/null
+++ b/.github/workflows/archlinux.sh
@@ -0,0 +1,45 @@
+#!/usr/bin/bash
+
+set -eo pipefail
+
+# Use grouped output messages
+infobegin() {
+ echo "::group::${1}"
+}
+infoend() {
+ echo "::endgroup::"
+}
+
+# Required packages on Archlinux
+requires=(
+ ccache # Use ccache to speed up build
+ clang # Build with clang on Archlinux
+ meson # Used for meson build
+)
+
+# https://gitlab.archlinux.org/archlinux/packaging/packages/mate-common
+requires+=(
+ autoconf
+ autoconf-archive
+ automake
+ bash
+ gcc
+ gettext
+ git
+ glib2
+ gtk-doc
+ intltool
+ libtool
+ make
+ pkgconf
+ which
+ yelp-tools
+)
+
+infobegin "Update system"
+pacman --noconfirm -Syu
+infoend
+
+infobegin "Install dependency packages"
+pacman --noconfirm -S ${requires[@]}
+infoend